Package javax.servlet.descriptor

# Interface JspConfigDescriptor

public interface JspConfigDescriptor
This interface exposes the JSP specific configuration information obtain ed from the deployment descriptors. It is primarily provided so that JSP implementations do not have to parse deployment descriptors.

Since:
  Servlet 3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<JspPropertyGroupDescriptor>`
  `getJspPropertyGroups()`
  Provide the set of JSP property groups obtained from the <jsp-config> elements in the web application's deployment descriptors.
  `Collection<TaglibDescriptor>`
  `getTaglibs()`
  Provide the set of tag library descriptors obtained from the <jsp-config> elements in the web application's deployment descriptors.

- ## Method Details

  - ### getTaglibs

    Collection<TaglibDescriptor> getTaglibs()
    Provide the set of tag library descriptors obtained from the <jsp-config> elements in the web application's deployment descriptors.
    Returns:
      the tag library descriptors

  - ### getJspPropertyGroups

    Collection<JspPropertyGroupDescriptor> getJspPropertyGroups()
    Provide the set of JSP property groups obtained from the <jsp-config> elements in the web application's deployment descriptors.
    Returns:
      the JSP property groups